# Woonlasten API

## GET /local-tax-energy-expenses

> Indicates the housing costs that apply per municipality.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"LocalTaxEnergyResponse":{"properties":{"inputPostcode":{"type":"string","title":"Inputpostcode","description":"Postal code"},"inputHouseNumber":{"type":"integer","title":"Inputhousenumber","description":"House number"},"inputHouseNumberExt":{"title":"Inputhousenumberext","description":"House number extension","type":"string","nullable":true},"municipalTaxes":{"description":"Object containing municipal taxes","allOf":[{"$ref":"#/components/schemas/MunicipalTaxes"}]},"municipalityCode":{"type":"string","title":"Municipalitycode","description":"Municipality code"},"utilities":{"description":"Object containing utility usage","allOf":[{"$ref":"#/components/schemas/Utilities"}]},"municipalityName":{"type":"string","title":"Municipalityname","description":"Municipality name"}},"type":"object","required":["inputPostcode","inputHouseNumber","municipalTaxes","municipalityCode","utilities","municipalityName"],"title":"LocalTaxEnergyResponse"},"MunicipalTaxes":{"properties":{"fees":{"description":"Other fees","allOf":[{"$ref":"#/components/schemas/Fees"}]},"touristTax":{"description":"Tourist Tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"wasteCollectionCharge":{"description":"Waste collection charge","allOf":[{"$ref":"#/components/schemas/Households"}]},"environmentalPermit":{"description":"Environmental permit","allOf":[{"$ref":"#/components/schemas/EnvironmentalPermit"}]},"sewerCharge":{"description":"Sewer charge","allOf":[{"$ref":"#/components/schemas/SewerCharge"}]},"parkingTax":{"title":"Parkingtax","description":"Parking tax","type":"integer","nullable":true},"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/HousingCosts"}]},"propertyTax":{"description":"Property tax","allOf":[{"$ref":"#/components/schemas/PropertyTax"}]},"dogTax":{"description":"Dog tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["fees","touristTax","wasteCollectionCharge","environmentalPermit","sewerCharge","housingCosts","propertyTax","dogTax"],"title":"MunicipalTaxes"},"Fees":{"properties":{"driversLicence":{"description":"Costs of a driver's license","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"passport":{"description":"Costs of a passport","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"identityCard":{"description":"Costs of an ID card","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"extractMunicipalPersonalRecordsDatabase":{"description":"Costs of an official BRP excerpt","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["driversLicence","passport","identityCard","extractMunicipalPersonalRecordsDatabase"],"title":"Fees"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"},"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EnvironmentalPermit":{"properties":{"houseExtension":{"description":"Permit costs for a house extension","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"newConstruction":{"description":"Permit costs for new construction","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"dormer":{"description":"Permit costs for a dormer","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["houseExtension","newConstruction","dormer"],"title":"EnvironmentalPermit"},"SewerCharge":{"properties":{"households":{"description":"Taxes paid for sewage processing for households","allOf":[{"$ref":"#/components/schemas/Households"}]},"businesses":{"description":"Taxes paid for sewage processing for businesses","allOf":[{"$ref":"#/components/schemas/Businesses"}]}},"type":"object","required":["households","businesses"],"title":"SewerCharge"},"Businesses":{"properties":{"waterConsumptionInCubicMeter":{"additionalProperties":{"$ref":"#/components/schemas/EuroObject"},"type":"object","title":"Waterconsumptionincubicmeter","description":"Water consumption (in m³) by businesses"}},"type":"object","required":["waterConsumptionInCubicMeter"],"title":"Businesses"},"HousingCosts":{"properties":{"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/Households"}]},"taxCredit":{"description":"Tax credit","allOf":[{"$ref":"#/components/schemas/TaxCredit"}]}},"type":"object","required":["housingCosts","taxCredit"],"title":"HousingCosts"},"TaxCredit":{"properties":{"multiPersonHousehold":{"type":"number","title":"Multipersonhousehold","description":"Tax credit for multi person households"},"singlePersonHousehold":{"type":"number","title":"Singlepersonhousehold","description":"Tax credit for single person households"}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"TaxCredit"},"PropertyTax":{"properties":{"rate":{"description":"Rate of property tax","allOf":[{"$ref":"#/components/schemas/Rate"}]},"residentialAverage":{"description":"Residential Average of property tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["rate","residentialAverage"],"title":"PropertyTax"},"Rate":{"properties":{"residential":{"description":"Taxes paid on residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]},"nonresidential":{"description":"Taxes paid on non-residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]}},"type":"object","required":["residential","nonresidential"],"title":"Rate"},"PercentageObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"percentage":{"title":"Percentage","description":"Rate (%)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","percentage","comment"],"title":"PercentageObject"},"Utilities":{"properties":{"naturalGasUsageInCubicMeter":{"description":"Object containing average natural gas usage (in m³) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"elektricityUsageKwh":{"description":"Object containing average electricity usage (in kWh) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"percentageDistrictHeating":{"description":"Object containing percentage of district heating for different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]}},"type":"object","required":["naturalGasUsageInCubicMeter","elektricityUsageKwh","percentageDistrictHeating"],"title":"Utilities"},"EnergyUsage":{"properties":{"apartment":{"title":"Apartment","description":"Average energy usage of apartments","type":"number","nullable":true},"average":{"title":"Average","description":"Average energy usage of all house types","type":"number","nullable":true},"cornerHouse":{"title":"Cornerhouse","description":"Average energy usage of corner house","type":"number","nullable":true},"detachedHouse":{"title":"Detachedhouse","description":"Average energy usage of detached house","type":"number","nullable":true},"ownedHomes":{"title":"Ownedhomes","description":"Average energy usage of owned homes","type":"number","nullable":true},"rentalHomes":{"title":"Rentalhomes","description":"Average energy usage of rental homes","type":"number","nullable":true},"semidetachedHouse":{"title":"Semidetachedhouse","description":"Average energy usage of semidetached houses","type":"number","nullable":true},"terracedHouse":{"title":"Terracedhouse","description":"Average energy usage of terraced houses","type":"number","nullable":true}},"type":"object","required":["apartment","average","cornerHouse","detachedHouse","ownedHomes","rentalHomes","semidetachedHouse","terracedHouse"],"title":"EnergyUsage"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/local-tax-energy-expenses":{"get":{"description":"Indicates the housing costs that apply per municipality.","operationId":"MunicipalityLivingCosts","parameters":[{"description":"Zipcode","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extention","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"}],"responses":{"200":{"description":"LocalTaxEnergyResponse","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"$ref":"#/components/schemas/LocalTaxEnergyResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"statusCode":{"type":"integer"},"headers":{"additionalProperties":{"type":"string"},"type":"object","description":"HTTP headers returned by Lambda/API Gateway."},"isBase64Encoded":{"type":"boolean"},"body":{"properties":{"id":{"type":"string","nullable":true},"params":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}},"type":"object","required":["statusCode","headers","isBase64Encoded","body"]}}}}}}}}}
```

## The LocalTaxEnergyResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"LocalTaxEnergyResponse":{"properties":{"inputPostcode":{"type":"string","title":"Inputpostcode","description":"Postal code"},"inputHouseNumber":{"type":"integer","title":"Inputhousenumber","description":"House number"},"inputHouseNumberExt":{"title":"Inputhousenumberext","description":"House number extension","type":"string","nullable":true},"municipalTaxes":{"description":"Object containing municipal taxes","allOf":[{"$ref":"#/components/schemas/MunicipalTaxes"}]},"municipalityCode":{"type":"string","title":"Municipalitycode","description":"Municipality code"},"utilities":{"description":"Object containing utility usage","allOf":[{"$ref":"#/components/schemas/Utilities"}]},"municipalityName":{"type":"string","title":"Municipalityname","description":"Municipality name"}},"type":"object","required":["inputPostcode","inputHouseNumber","municipalTaxes","municipalityCode","utilities","municipalityName"],"title":"LocalTaxEnergyResponse"},"MunicipalTaxes":{"properties":{"fees":{"description":"Other fees","allOf":[{"$ref":"#/components/schemas/Fees"}]},"touristTax":{"description":"Tourist Tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"wasteCollectionCharge":{"description":"Waste collection charge","allOf":[{"$ref":"#/components/schemas/Households"}]},"environmentalPermit":{"description":"Environmental permit","allOf":[{"$ref":"#/components/schemas/EnvironmentalPermit"}]},"sewerCharge":{"description":"Sewer charge","allOf":[{"$ref":"#/components/schemas/SewerCharge"}]},"parkingTax":{"title":"Parkingtax","description":"Parking tax","type":"integer","nullable":true},"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/HousingCosts"}]},"propertyTax":{"description":"Property tax","allOf":[{"$ref":"#/components/schemas/PropertyTax"}]},"dogTax":{"description":"Dog tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["fees","touristTax","wasteCollectionCharge","environmentalPermit","sewerCharge","housingCosts","propertyTax","dogTax"],"title":"MunicipalTaxes"},"Fees":{"properties":{"driversLicence":{"description":"Costs of a driver's license","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"passport":{"description":"Costs of a passport","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"identityCard":{"description":"Costs of an ID card","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"extractMunicipalPersonalRecordsDatabase":{"description":"Costs of an official BRP excerpt","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["driversLicence","passport","identityCard","extractMunicipalPersonalRecordsDatabase"],"title":"Fees"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"},"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EnvironmentalPermit":{"properties":{"houseExtension":{"description":"Permit costs for a house extension","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"newConstruction":{"description":"Permit costs for new construction","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"dormer":{"description":"Permit costs for a dormer","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["houseExtension","newConstruction","dormer"],"title":"EnvironmentalPermit"},"SewerCharge":{"properties":{"households":{"description":"Taxes paid for sewage processing for households","allOf":[{"$ref":"#/components/schemas/Households"}]},"businesses":{"description":"Taxes paid for sewage processing for businesses","allOf":[{"$ref":"#/components/schemas/Businesses"}]}},"type":"object","required":["households","businesses"],"title":"SewerCharge"},"Businesses":{"properties":{"waterConsumptionInCubicMeter":{"additionalProperties":{"$ref":"#/components/schemas/EuroObject"},"type":"object","title":"Waterconsumptionincubicmeter","description":"Water consumption (in m³) by businesses"}},"type":"object","required":["waterConsumptionInCubicMeter"],"title":"Businesses"},"HousingCosts":{"properties":{"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/Households"}]},"taxCredit":{"description":"Tax credit","allOf":[{"$ref":"#/components/schemas/TaxCredit"}]}},"type":"object","required":["housingCosts","taxCredit"],"title":"HousingCosts"},"TaxCredit":{"properties":{"multiPersonHousehold":{"type":"number","title":"Multipersonhousehold","description":"Tax credit for multi person households"},"singlePersonHousehold":{"type":"number","title":"Singlepersonhousehold","description":"Tax credit for single person households"}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"TaxCredit"},"PropertyTax":{"properties":{"rate":{"description":"Rate of property tax","allOf":[{"$ref":"#/components/schemas/Rate"}]},"residentialAverage":{"description":"Residential Average of property tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["rate","residentialAverage"],"title":"PropertyTax"},"Rate":{"properties":{"residential":{"description":"Taxes paid on residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]},"nonresidential":{"description":"Taxes paid on non-residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]}},"type":"object","required":["residential","nonresidential"],"title":"Rate"},"PercentageObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"percentage":{"title":"Percentage","description":"Rate (%)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","percentage","comment"],"title":"PercentageObject"},"Utilities":{"properties":{"naturalGasUsageInCubicMeter":{"description":"Object containing average natural gas usage (in m³) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"elektricityUsageKwh":{"description":"Object containing average electricity usage (in kWh) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"percentageDistrictHeating":{"description":"Object containing percentage of district heating for different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]}},"type":"object","required":["naturalGasUsageInCubicMeter","elektricityUsageKwh","percentageDistrictHeating"],"title":"Utilities"},"EnergyUsage":{"properties":{"apartment":{"title":"Apartment","description":"Average energy usage of apartments","type":"number","nullable":true},"average":{"title":"Average","description":"Average energy usage of all house types","type":"number","nullable":true},"cornerHouse":{"title":"Cornerhouse","description":"Average energy usage of corner house","type":"number","nullable":true},"detachedHouse":{"title":"Detachedhouse","description":"Average energy usage of detached house","type":"number","nullable":true},"ownedHomes":{"title":"Ownedhomes","description":"Average energy usage of owned homes","type":"number","nullable":true},"rentalHomes":{"title":"Rentalhomes","description":"Average energy usage of rental homes","type":"number","nullable":true},"semidetachedHouse":{"title":"Semidetachedhouse","description":"Average energy usage of semidetached houses","type":"number","nullable":true},"terracedHouse":{"title":"Terracedhouse","description":"Average energy usage of terraced houses","type":"number","nullable":true}},"type":"object","required":["apartment","average","cornerHouse","detachedHouse","ownedHomes","rentalHomes","semidetachedHouse","terracedHouse"],"title":"EnergyUsage"}}}}
```

## The MunicipalTaxes object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"MunicipalTaxes":{"properties":{"fees":{"description":"Other fees","allOf":[{"$ref":"#/components/schemas/Fees"}]},"touristTax":{"description":"Tourist Tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"wasteCollectionCharge":{"description":"Waste collection charge","allOf":[{"$ref":"#/components/schemas/Households"}]},"environmentalPermit":{"description":"Environmental permit","allOf":[{"$ref":"#/components/schemas/EnvironmentalPermit"}]},"sewerCharge":{"description":"Sewer charge","allOf":[{"$ref":"#/components/schemas/SewerCharge"}]},"parkingTax":{"title":"Parkingtax","description":"Parking tax","type":"integer","nullable":true},"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/HousingCosts"}]},"propertyTax":{"description":"Property tax","allOf":[{"$ref":"#/components/schemas/PropertyTax"}]},"dogTax":{"description":"Dog tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["fees","touristTax","wasteCollectionCharge","environmentalPermit","sewerCharge","housingCosts","propertyTax","dogTax"],"title":"MunicipalTaxes"},"Fees":{"properties":{"driversLicence":{"description":"Costs of a driver's license","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"passport":{"description":"Costs of a passport","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"identityCard":{"description":"Costs of an ID card","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"extractMunicipalPersonalRecordsDatabase":{"description":"Costs of an official BRP excerpt","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["driversLicence","passport","identityCard","extractMunicipalPersonalRecordsDatabase"],"title":"Fees"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"},"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EnvironmentalPermit":{"properties":{"houseExtension":{"description":"Permit costs for a house extension","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"newConstruction":{"description":"Permit costs for new construction","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"dormer":{"description":"Permit costs for a dormer","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["houseExtension","newConstruction","dormer"],"title":"EnvironmentalPermit"},"SewerCharge":{"properties":{"households":{"description":"Taxes paid for sewage processing for households","allOf":[{"$ref":"#/components/schemas/Households"}]},"businesses":{"description":"Taxes paid for sewage processing for businesses","allOf":[{"$ref":"#/components/schemas/Businesses"}]}},"type":"object","required":["households","businesses"],"title":"SewerCharge"},"Businesses":{"properties":{"waterConsumptionInCubicMeter":{"additionalProperties":{"$ref":"#/components/schemas/EuroObject"},"type":"object","title":"Waterconsumptionincubicmeter","description":"Water consumption (in m³) by businesses"}},"type":"object","required":["waterConsumptionInCubicMeter"],"title":"Businesses"},"HousingCosts":{"properties":{"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/Households"}]},"taxCredit":{"description":"Tax credit","allOf":[{"$ref":"#/components/schemas/TaxCredit"}]}},"type":"object","required":["housingCosts","taxCredit"],"title":"HousingCosts"},"TaxCredit":{"properties":{"multiPersonHousehold":{"type":"number","title":"Multipersonhousehold","description":"Tax credit for multi person households"},"singlePersonHousehold":{"type":"number","title":"Singlepersonhousehold","description":"Tax credit for single person households"}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"TaxCredit"},"PropertyTax":{"properties":{"rate":{"description":"Rate of property tax","allOf":[{"$ref":"#/components/schemas/Rate"}]},"residentialAverage":{"description":"Residential Average of property tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["rate","residentialAverage"],"title":"PropertyTax"},"Rate":{"properties":{"residential":{"description":"Taxes paid on residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]},"nonresidential":{"description":"Taxes paid on non-residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]}},"type":"object","required":["residential","nonresidential"],"title":"Rate"},"PercentageObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"percentage":{"title":"Percentage","description":"Rate (%)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","percentage","comment"],"title":"PercentageObject"}}}}
```

## The Utilities object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"Utilities":{"properties":{"naturalGasUsageInCubicMeter":{"description":"Object containing average natural gas usage (in m³) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"elektricityUsageKwh":{"description":"Object containing average electricity usage (in kWh) of different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]},"percentageDistrictHeating":{"description":"Object containing percentage of district heating for different house types","allOf":[{"$ref":"#/components/schemas/EnergyUsage"}]}},"type":"object","required":["naturalGasUsageInCubicMeter","elektricityUsageKwh","percentageDistrictHeating"],"title":"Utilities"},"EnergyUsage":{"properties":{"apartment":{"title":"Apartment","description":"Average energy usage of apartments","type":"number","nullable":true},"average":{"title":"Average","description":"Average energy usage of all house types","type":"number","nullable":true},"cornerHouse":{"title":"Cornerhouse","description":"Average energy usage of corner house","type":"number","nullable":true},"detachedHouse":{"title":"Detachedhouse","description":"Average energy usage of detached house","type":"number","nullable":true},"ownedHomes":{"title":"Ownedhomes","description":"Average energy usage of owned homes","type":"number","nullable":true},"rentalHomes":{"title":"Rentalhomes","description":"Average energy usage of rental homes","type":"number","nullable":true},"semidetachedHouse":{"title":"Semidetachedhouse","description":"Average energy usage of semidetached houses","type":"number","nullable":true},"terracedHouse":{"title":"Terracedhouse","description":"Average energy usage of terraced houses","type":"number","nullable":true}},"type":"object","required":["apartment","average","cornerHouse","detachedHouse","ownedHomes","rentalHomes","semidetachedHouse","terracedHouse"],"title":"EnergyUsage"}}}}
```

## The Fees object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"Fees":{"properties":{"driversLicence":{"description":"Costs of a driver's license","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"passport":{"description":"Costs of a passport","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"identityCard":{"description":"Costs of an ID card","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"extractMunicipalPersonalRecordsDatabase":{"description":"Costs of an official BRP excerpt","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["driversLicence","passport","identityCard","extractMunicipalPersonalRecordsDatabase"],"title":"Fees"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The EuroObject object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The EnvironmentalPermit object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"EnvironmentalPermit":{"properties":{"houseExtension":{"description":"Permit costs for a house extension","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"newConstruction":{"description":"Permit costs for new construction","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"dormer":{"description":"Permit costs for a dormer","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["houseExtension","newConstruction","dormer"],"title":"EnvironmentalPermit"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The SewerCharge object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"SewerCharge":{"properties":{"households":{"description":"Taxes paid for sewage processing for households","allOf":[{"$ref":"#/components/schemas/Households"}]},"businesses":{"description":"Taxes paid for sewage processing for businesses","allOf":[{"$ref":"#/components/schemas/Businesses"}]}},"type":"object","required":["households","businesses"],"title":"SewerCharge"},"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"},"Businesses":{"properties":{"waterConsumptionInCubicMeter":{"additionalProperties":{"$ref":"#/components/schemas/EuroObject"},"type":"object","title":"Waterconsumptionincubicmeter","description":"Water consumption (in m³) by businesses"}},"type":"object","required":["waterConsumptionInCubicMeter"],"title":"Businesses"}}}}
```

## The HousingCosts object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"HousingCosts":{"properties":{"housingCosts":{"description":"Housing costs","allOf":[{"$ref":"#/components/schemas/Households"}]},"taxCredit":{"description":"Tax credit","allOf":[{"$ref":"#/components/schemas/TaxCredit"}]}},"type":"object","required":["housingCosts","taxCredit"],"title":"HousingCosts"},"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"},"TaxCredit":{"properties":{"multiPersonHousehold":{"type":"number","title":"Multipersonhousehold","description":"Tax credit for multi person households"},"singlePersonHousehold":{"type":"number","title":"Singlepersonhousehold","description":"Tax credit for single person households"}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"TaxCredit"}}}}
```

## The PropertyTax object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"PropertyTax":{"properties":{"rate":{"description":"Rate of property tax","allOf":[{"$ref":"#/components/schemas/Rate"}]},"residentialAverage":{"description":"Residential Average of property tax","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["rate","residentialAverage"],"title":"PropertyTax"},"Rate":{"properties":{"residential":{"description":"Taxes paid on residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]},"nonresidential":{"description":"Taxes paid on non-residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]}},"type":"object","required":["residential","nonresidential"],"title":"Rate"},"PercentageObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"percentage":{"title":"Percentage","description":"Rate (%)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","percentage","comment"],"title":"PercentageObject"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The EnergyUsage object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"EnergyUsage":{"properties":{"apartment":{"title":"Apartment","description":"Average energy usage of apartments","type":"number","nullable":true},"average":{"title":"Average","description":"Average energy usage of all house types","type":"number","nullable":true},"cornerHouse":{"title":"Cornerhouse","description":"Average energy usage of corner house","type":"number","nullable":true},"detachedHouse":{"title":"Detachedhouse","description":"Average energy usage of detached house","type":"number","nullable":true},"ownedHomes":{"title":"Ownedhomes","description":"Average energy usage of owned homes","type":"number","nullable":true},"rentalHomes":{"title":"Rentalhomes","description":"Average energy usage of rental homes","type":"number","nullable":true},"semidetachedHouse":{"title":"Semidetachedhouse","description":"Average energy usage of semidetached houses","type":"number","nullable":true},"terracedHouse":{"title":"Terracedhouse","description":"Average energy usage of terraced houses","type":"number","nullable":true}},"type":"object","required":["apartment","average","cornerHouse","detachedHouse","ownedHomes","rentalHomes","semidetachedHouse","terracedHouse"],"title":"EnergyUsage"}}}}
```

## The Households object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"Households":{"properties":{"multiPersonHousehold":{"description":"Taxes paid for a multi person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]},"singlePersonHousehold":{"description":"Taxes paid for a single person household","allOf":[{"$ref":"#/components/schemas/EuroObject"}]}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"Households"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The Businesses object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"Businesses":{"properties":{"waterConsumptionInCubicMeter":{"additionalProperties":{"$ref":"#/components/schemas/EuroObject"},"type":"object","title":"Waterconsumptionincubicmeter","description":"Water consumption (in m³) by businesses"}},"type":"object","required":["waterConsumptionInCubicMeter"],"title":"Businesses"},"EuroObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"euro":{"title":"Euro","description":"Price or amount in EUR (€)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","euro","comment"],"title":"EuroObject"}}}}
```

## The TaxCredit object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"TaxCredit":{"properties":{"multiPersonHousehold":{"type":"number","title":"Multipersonhousehold","description":"Tax credit for multi person households"},"singlePersonHousehold":{"type":"number","title":"Singlepersonhousehold","description":"Tax credit for single person households"}},"type":"object","required":["multiPersonHousehold","singlePersonHousehold"],"title":"TaxCredit"}}}}
```

## The Rate object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"0.0.1"},"components":{"schemas":{"Rate":{"properties":{"residential":{"description":"Taxes paid on residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]},"nonresidential":{"description":"Taxes paid on non-residential real estate in proportion to real estate value.","allOf":[{"$ref":"#/components/schemas/PercentageObject"}]}},"type":"object","required":["residential","nonresidential"],"title":"Rate"},"PercentageObject":{"properties":{"mutation":{"title":"Mutation","description":"Mutation as compared to last year","type":"number","nullable":true},"percentage":{"title":"Percentage","description":"Rate (%)","type":"number","nullable":true},"comment":{"title":"Comment","description":"Comment","type":"string","nullable":true}},"type":"object","required":["mutation","percentage","comment"],"title":"PercentageObject"}}}}
```
